{% load static %}

<header>
    <nav id="Navbar" class="navbar navbar-expand-lg navbar-dark">
        <div class="navbar-header">
            <a class="navbar-brand" href="{% url 'homepage:index' %}">
                <h4>Afriza's <span class="orange-text">StoryNine</span></h4>
            </a>
            <button id="NavbarHeaderButton" class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
            </button>
        </div>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                {% for link,name in nav%}
                <li class="nav-item">
                    <a class="nav-link" href="{{link}}">{{name}}</a>
                </li>
                {% endfor %}
            </ul>
            {% if logged_in %}
            <ul class="navbar-nav ml-auto">
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbardrop" data-toggle="dropdown">
                        Welcome, {{ user.get_username }}
                    </a>

                    <div class="dropdown-menu dropdown-menu-right">
                        <a class="dropdown-item" href="{% url 'logout' %}"><span style="color: black;">Logout</span></a>
                        <!-- <a class="dropdown-item" href="#">Link 2</a>
                        <a class="dropdown-item" href="#">Link 3</a> -->
                      </div>
                </li>
            </ul>
            {% else %}
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'login' %}">Login</a>
                </li>
            </ul>
            {% endif %}
        </div>
    </nav>
</header>